[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarRangeCheckError

Raise an EVariantOverflowError error

## Declaration

Source position: variants.pp line 309

`procedure VarRangeCheckError(`
`const AType: tvartype`
`); procedure VarRangeCheckError(`
`const ASourceType: tvartype;`
`const ADestType: tvartype`
`);`

## Arguments

`AType` |  | Range type for which overflow occurs

## Arguments

`ASourceType` |  | Source type
`ADestType` |  | Destination type

## Description

VarRangeCheckError raises an EVariantOverflowError exception with a standard error message. A description of the type AType is included in the error message, similarly if a ASourceType and aDestType source and destination types are provided.

## See also

EVariantOverflowError |  | Error raised when an overflow error is detected
VarOverflowError |  | Raise an EVariantOverflowError error.
VarInvalidNullOp |  | Raise an EVariantInvalidOpError error
VarInvalidOp |  | Raise a EVariantInvalidOpError error
VarBadIndexError |  | Raise an EVariantBadIndexError error
VarArrayLockedError |  | Raise an EVariantArrayLockedError error